﻿using UnityEngine;
using System.Collections;

public class CharacterControl : MonoBehaviour {
	Animator animator;
	void Start () {
		animator = GetComponent<Animator> ();
	}
	
	void Update () {
		float runAxis = Input.GetAxis ("Run");
		float forwardAxis = Input.GetAxis ("Vertical");
		animator.SetFloat ("forward", forwardAxis * (1.0f + runAxis));
		float sideAxis = Input.GetAxis ("Horizontal");
		animator.SetFloat ("side", sideAxis * (1.0f + runAxis));

		if (Input.GetKeyDown ("q")) {
			animator.SetInteger ("AttackType", 0);
			animator.SetTrigger("AttackTriggered");
		}else if (Input.GetKeyDown ("e")) {
			animator.SetInteger ("AttackType", 1);
			animator.SetTrigger("AttackTriggered");
		}
	}
}
